> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nordiska.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload onboarding documents

> Upload onboarding documents



## OpenAPI

````yaml https://partner-card.test.public.rockerapi.dev/docs/docs.yaml post /api/engagements/card/onboarding/{onboarding-id}/documents
openapi: 3.1.0
info:
  title: Card
  version: '1.0'
servers:
  - url: https://partner-card.test.public.rockerapi.dev
security: []
paths:
  /api/engagements/card/onboarding/{onboarding-id}/documents:
    post:
      tags:
        - Card
      summary: Upload onboarding documents
      description: Upload onboarding documents
      operationId: UploadDocument
      parameters:
        - name: onboarding-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/HttpDocumentUploadRequest'
        required: true
      responses:
        '200':
          description: ''
        '400':
          description: >-
            Invalid value for: path parameter onboarding-id, Invalid value for:
            body
          content:
            text/plain:
              schema:
                type: string
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorBodyResponse'
      security:
        - httpAuth: []
components:
  schemas:
    HttpDocumentUploadRequest:
      title: HttpDocumentUploadRequest
      type: object
      required:
        - documentType
        - document
      properties:
        documentType:
          $ref: '#/components/schemas/HttpDocumentType'
        document:
          description: 'File (<=10MB). Content-Type: application/pdf or image/*'
          type: string
          format: binary
    HttpErrorBodyResponse:
      title: HttpErrorBodyResponse
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
    HttpDocumentType:
      title: HttpDocumentType
      description: Client-declared document type enum
      type: string
      enum:
        - TAX_REGISTRATION
  securitySchemes:
    httpAuth:
      type: http
      scheme: basic

````